#!/usr/bin/python
# -*- coding: UTF-8 -*-
"""
@author:Marques
@file:Main_Quality_Relabel.py
@email:admin@marques22.com
@email:2021022362@m.scnu.edu.cn
@time:2022/03/28
"""
from utils.Quality_Relabel import Quality_Relabel

# start-----一般不用修改------
# 绘图时的采样率
frequency = 100
# 心晓数据采样率
bcg_frequency = 1000
# end-----一般不用修改------

# 要遍历的事件
# 可选一个或多个 "Hypopnea" "Central apnea" "Obstructive apnea" "Mixed apnea"
focus_event_list = ["Obstructive apnea"]
# 信号显示事件前多少秒
front_add_second = 60
# 信号显示事件后多少秒
back_add_second = 60

# 样本编号
sampNo = 670
# 从第几个心晓事件数量开始
start_bcg_index = 0
# 用于心晓信号前面有一部分信号不可用，PSG事件第几个事件对应于心晓第一个事件
shifting = 0

if __name__ == '__main__':
    qualityRelabel = Quality_Relabel(sampNo=sampNo, frequency=frequency, bcg_frequency=bcg_frequency,
                                     focus_event_list=focus_event_list)

    qualityRelabel.show_all_event(start_bcg_index=start_bcg_index,
                                  shifting=shifting,
                                  front_add_second=front_add_second,
                                  back_add_second=back_add_second)
